×

Discussion Board

Search:

Type: Posts; User: jplauril; Keyword(s):

Page 1 of 12 1 2 3 4

Search: Search took 0.06 seconds.

  1. Replies
    5
    Views
    4,241

    Re: installing pyd onto phone using ensymble

    1.4.5 modules must be recompiled to work on 1.9.x. Renaming them to kf_... will not make them work.
  2. Replies
    7
    Views
    5,638

    Re: Can someone please explain version system ?

    This is no longer the case, since there's now the new officially signed high capability scriptshell package available. No Open Signed hassle needed!
  3. Replies
    57
    Views
    27,148

    Re: [Announce] pygame for S60 for PyS60 1.9.x

    The packaging tool already supports several alternatives for the launcher exe. The only missing bit is that it's not possible to add more of those as easily as you can add modules to the repo.
  4. Replies
    16
    Views
    6,690

    Re: How to identify current PyS60 version

    No need to convert to list either. You can compare directly:


    if e32.pys60_version_info > (1,9):

    Beautiful, eh? :)
  5. Replies
    57
    Views
    27,148

    Re: [Announce] pygame for S60 for PyS60 1.9.x

    The module repository is already extensible. I'm wondering how much effort it would be to add support for arbitrary third party supplied application shells...
  6. Replies
    57
    Views
    27,148

    Re: [Announce] pygame for S60 for PyS60 1.9.x

    Whoo, looks very cool. Love the subtle launcher transitions.

    Maybe we could even add pygame mode as a packaging option into a future release of our packaging tool. That way you could simply write...
  7. Replies
    16
    Views
    6,690

    Re: How to identify current PyS60 version

    Hey guys, it's easier than you think. Just use the pre-split form of the version: e32.pys60_version_info. Quoting the friendly manual:
  8. Replies
    10
    Views
    9,891

    Re: python installation in E66

    No, install the latest version, Python_1.9.4.sis.
  9. Re: OVI store will not support Python applications. What do you think about ?

    We'll be looking into this matter. It is definitely our goal to have Python as a supported language for Ovi Store.
  10. Replies
    57
    Views
    27,148

    Re: [Announce] pygame for S60 for PyS60 1.9.x

    Yes, it's magic :)
  11. Replies
    69
    Views
    19,847

    Re: PyS60[1.9.4] Tests and Feedback

    Well then, good news: it is there already in 1.9.4!
  12. Replies
    7
    Views
    4,761

    Re: How to import my own modules

    Sounds like you have "import lib1.py" in your script when you should have "import lib1"...
  13. Replies
    69
    Views
    19,847

    Re: PyS60[1.9.4] Tests and Feedback

    Note that 1.9.3 and 1.9.4 are NOT binary compatible for reasons that have nothing to do with the UID change.
  14. Replies
    69
    Views
    19,847

    Re: PyS60[1.9.4] Tests and Feedback

    The Big Idea (tm) with the module repo is to parallelize this kind of thing by making it easy for extension module developers to distribute their modules and for application developers to use those...
  15. Replies
    57
    Views
    27,148

    Re: [Announce] pygame for S60 for PyS60 1.9.x

    The correct way to package PyGame for the 1.9.4 is to make a ZIP that users can unpack into the module repository directory. That ZIP should contain PyGame's .pyd's and .py's as well as the...
  16. Replies
    25
    Views
    9,454

    Re: Create a .sis file with .pyc file

    IIRC default.py is a special case and must be a .py file, not .pyc. Other ones you can have as .pyc.
  17. Replies
    57
    Views
    27,148

    Re: [Announce] pygame for S60 for PyS60 1.9.x

    There's a binary compatibility break between 1.9.3 and 1.9.4. The pygame library needs to be recompiled and repackaged to work with 1.9.4.
  18. Replies
    69
    Views
    19,847

    Re: PyS60[1.9.4] Tests and Feedback

    Yes. One of the biggest improvements in 1.9.x/2.0.x series is the module repository support which makes it easy for application developers to use third party modules in their applications.

    Please,...
  19. Replies
    69
    Views
    19,847

    Re: PyS60[1.9.4] Tests and Feedback

    The binary break was an unavoidable consequence of upgrading the core version. Python core versions aren't binary compatible across major releases.
  20. Replies
    69
    Views
    19,847

    Re: PyS60[1.9.4] Tests and Feedback

    Scriptext won't be backported, but note that you can install the 5th ed scriptshell package onto 3rd ed platforms as well, and that has the Location capability.

    Existing 1.4.x modules need to be...
  21. Replies
    7
    Views
    8,424

    Re: An issue with ensymble and Python 1.9.4

    Maybe the default heap size should be increased? It seems to be a frequent problem.
  22. Replies
    69
    Views
    19,847

    Re: PyS60[1.9.4] Tests and Feedback

    The reason for this is probably the fact that the embedded package "Platform Service Extensions" has been signed only with the "Nokia Online CA" certificate, and this certificate isn't present on...
  23. Replies
    1
    Views
    4,464

    Re: Bluetooth in Pys60 v >= 1.9.1

    The short version: instead of "import socket" do "import btsocket as socket". Leave the rest of the code as-is.
  24. Replies
    40
    Views
    24,414

    Re: Python for S60 1.9.3 released

    I guess the filesystem order has changed. We can just sort the list inside the script shell before showing it.
  25. Replies
    40
    Views
    24,414

    Re: Python for S60 1.9.3 released

    Hey, please, please, pretty please: If you find a replicatable crash or error, file a bug report in the bug tracker! That's the only way they will get fixed.
Results 1 to 25 of 300
Page 1 of 12 1 2 3 4
×